$schema: "http://json-schema.org/draft-06/schema#"

title: compute v1 CustomErrorResponsePolicyCustomErrorResponseRule export schema
description: A gcloud export/import command YAML validation schema.
type: object
additionalProperties: false
properties:
  COMMENT:
    type: object
    description: User specified info ignored by gcloud import.
    additionalProperties: false
    properties:
      template-id:
        type: string
      region:
        type: string
      description:
        type: string
      date:
        type: string
      version:
        type: string
  UNKNOWN:
    type: array
    description: Unknown API fields that cannot be imported.
    items:
      type: string
  matchResponseCodes:
    description: |-
      Valid values include: - A number between 400 and 599: For example 401 or
      503, in which case the load balancer applies the policy if the error code
      exactly matches this value. - 5xx: Load Balancer will apply the policy if
      the backend service responds with any response code in the range of 500 to
      599. - 4xx: Load Balancer will apply the policy if the backend service
      responds with any response code in the range of 400 to 499. Values must be
      unique within matchResponseCodes and across all errorResponseRules of
      CustomErrorResponsePolicy.
    type: array
    items:
      type: string
  overrideResponseCode:
    description: |-
      The HTTP status code returned with the response containing the custom
      error content. If overrideResponseCode is not supplied, the same
      response code returned by the original backend bucket or backend
      service is returned to the client.
    type: integer
  path:
    description: |-
      The full path to a file within backendBucket . For example:
      /errors/defaultError.html path must start with a leading slash. path
      cannot have trailing slashes. If the file is not available in
      backendBucket or the load balancer cannot reach the BackendBucket, a
      simple Not Found Error is returned to the client. The value must be
      from 1 to 1024 characters
    type: string
